<html lang="en">
<head>
<title>Sweep face splitting - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Sweeps.html#Sweeps" title="Sweeps">
<link rel="prev" href="Swept-blocks.html#Swept-blocks" title="Swept blocks">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Sweep-face-splitting"></a>Previous:&nbsp;<a rel="previous" accesskey="p" href="Swept-blocks.html#Swept-blocks">Swept blocks</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Sweeps.html#Sweeps">Sweeps</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.2.6.5 Sweep face splitting</h5>

<p>Before sending each four-sided body polygon of a <code>sweep</code>
to the output, <code>sketch</code> tests to see if it is roughly planar. 
<a name="index-polygon_002c-planar-323"></a><a name="index-planarity-of-polygons-324"></a>Since planarity is necessary for proper functioning of the hidden
surface algorithm, &ldquo;warped&rdquo; polygons are automatically split into
two triangles.

   <p>Hole-filling polygons produced by closure-tagged
<a name="index-_003c_003e_0040r_007b_002c-closure-tag_007d-325"></a><a name="index-closure-tag_002c-_0040code_007b_003c_003e_007d-326"></a>line sweeps are not
split.  Nor are original polygons in polygon sweeps.  It is the user's
responsibility to ensure these are planar.

   </body></html>

